<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<parent>
		<groupId>de.ugoe.cs.autoquest</groupId>
		<artifactId>autoquest</artifactId>
		<version>0.2.0</version>
		<relativePath>../autoquest/pom.xml</relativePath>
	</parent>
	<modelVersion>4.0.0</modelVersion>
	<artifactId>autoquest-plugin-uml</artifactId>
	<name>autoquest-plugin-uml</name>
	<licenses>
		<license>
			<name>The Apache Software License, Version 2.0</name>
			<url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
		</license>
	</licenses>
	<scm>
		<url>https://autoquest.informatik.uni-goettingen.de/svn/autoquest/tags/autoquest-release-0.2.0/autoquest-plugin-uml</url>
		<connection>scm:svn:https://autoquest.informatik.uni-goettingen.de/svn/autoquest/tags/autoquest-release-0.2.0/autoquest-plugin-uml</connection>
	</scm>
	<dependencies>
		<dependency>
			<groupId>de.ugoe.cs</groupId>
			<artifactId>java-utils</artifactId>
			<version>${project.parent.version}</version>
		</dependency>
		<dependency>
			<groupId>de.ugoe.cs.autoquest</groupId>
			<artifactId>autoquest-plugin-core</artifactId>
			<version>${project.parent.version}</version>
		</dependency>
		<dependency>
			<groupId>commons-codec</groupId>
			<artifactId>commons-codec</artifactId>
			<version>1.6</version>
		</dependency>
		<dependency>
			<groupId>de.ugoe.cs.autoquest</groupId>
			<artifactId>autoquest-core-events</artifactId>
			<version>${project.parent.version}</version>
		</dependency>
		<dependency>
			<groupId>de.ugoe.cs.autoquest</groupId>
			<artifactId>autoquest-core-usageprofiles</artifactId>
			<version>${project.parent.version}</version>
		</dependency>
		<dependency>
			<groupId>de.ugoe.cs.autoquest</groupId>
			<artifactId>autoquest-misc</artifactId>
			<version>${project.parent.version}</version>
		</dependency>
		<dependency>
			<groupId>de.ugoe.cs.autoquest</groupId>
			<artifactId>autoquest-plugin-http</artifactId>
			<version>${project.parent.version}</version>
		</dependency>
		
		<!-- 
		<dependency>
			<groupId>org.eclipse.emf</groupId>
			<artifactId>org.eclipse.emf.common</artifactId>
			<version>2.9.2</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.emf</groupId>
			<artifactId>org.eclipse.emf.ecore</artifactId>
			<version>2.9.2</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.emf</groupId>
			<artifactId>org.eclipse.emf.ecore.xmi</artifactId>
			<version>2.9.1</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.emf</groupId>
			<artifactId>org.eclipse.emf.mapping.ecore2xml</artifactId>
			<version>2.7.0</version>
		</dependency>

		<dependency>
			<groupId>org.eclipse.uml2</groupId>
			<artifactId>org.eclipse.uml2.common</artifactId>
			<version>1.8.2</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.uml2</groupId>
			<artifactId>org.eclipse.uml2.types</artifactId>
			<version>1.1.0</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.uml2</groupId>
			<artifactId>org.eclipse.uml2.uml</artifactId>
			<version>4.1.2</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.uml2</groupId>
			<artifactId>org.eclipse.uml2.uml.profile.l2</artifactId>
			<version>1.1.0</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.uml2</groupId>
			<artifactId>org.eclipse.uml2.uml.profile.l3</artifactId>
			<version>1.1.0</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.uml2</groupId>
			<artifactId>org.eclipse.uml2.uml.resources</artifactId>
			<version>4.1.0</version>
		</dependency>-->

		<dependency>
			<groupId>de.fraunhofer.fokus.testing</groupId>
			<artifactId>de.fraunhofer.fokus.testing.modelutils</artifactId>
			<version>1.0.4</version>
		</dependency>
	</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
				<configuration>
					<archive>
						<manifest>
							<addClasspath>true</addClasspath>
						</manifest>
					</archive>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>